/*
 * Author: Jason Bittel
 * Date:   May 26, 2004
 * 
 * Description:
 * This program generates a random connected graph and then
 * utilizes Kruskal's algorithm to compute the minimum spanning 
 * tree for the graph.
 */

public class Edge {
	int edgeID;
	int edgeWeight;
	Vertex edgeU;
	Vertex edgeV;
	
	public Edge(int id, Vertex u, Vertex v, int weight) {
		this.edgeID = id;
		this.edgeWeight = weight;
		this.edgeU = u;
		this.edgeV = v;
	}
	
	public Vertex getU() {
		return this.edgeU;
	}
	
	public Vertex getV() {
		return this.edgeV;
	}
	
	public int getWeight() {
		return this.edgeWeight;
	}
	
	public int getID() {
		return this.edgeID;
	}
}
